| Kea 3.0.2-git

main.cc File Reference
`#include <config.h>`
`#include <lfc/lfc_controller.h>`
`#include <exceptions/exceptions.h>`
`#include <log/logger_support.h>`
`#include <log/logger_manager.h>`
`#include <util/filesystem.h>`
`#include <boost/exception/diagnostic_information.hpp>`
`#include <boost/exception_ptr.hpp>`
`#include <iostream>`
`#include <sys/resource.h>`
Include dependency graph for lfc/main.cc:

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])
| This file contains the entry point (main() function) for the standard LFC process, kea-lfc, component of the Kea software suite.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

This file contains the entry point (main() function) for the standard LFC process, kea-lfc, component of the Kea software suite.

It creates an instance of the LFCController class and invokes its launch method. The exit value of the program will be EXIT_SUCCESS if there were no errors, EXIT_FAILURE otherwise.

Definition at line 27 of file lfc/main.cc.

References isc::lfc::LFCController::launch(), and isc::util::file::setUmask().

Here is the call graph for this function: